org.springframework.web.client

## Class HttpClientErrorException.Conflict

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.web.client.RestClientException
          - - org.springframework.web.client.RestClientResponseException
            - - org.springframework.web.client.HttpStatusCodeException
              - - org.springframework.web.client.HttpClientErrorException
                - - org.springframework.web.client.HttpClientErrorException.Conflict

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    HttpClientErrorException

      public static final class HttpClientErrorException.Conflict
      extends HttpClientErrorException

  `HttpClientErrorException` for status HTTP 409 Conflict.
  Since:
    5.1
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.web.client.HttpClientErrorException

      `HttpClientErrorException.BadRequest, HttpClientErrorException.Conflict, HttpClientErrorException.Forbidden, HttpClientErrorException.Gone, HttpClientErrorException.MethodNotAllowed, HttpClientErrorException.NotAcceptable, HttpClientErrorException.NotFound, HttpClientErrorException.TooManyRequests, HttpClientErrorException.Unauthorized, HttpClientErrorException.UnprocessableEntity, HttpClientErrorException.UnsupportedMediaType`

  - ### Method Summary

    - ### Methods inherited from class org.springframework.web.client.HttpClientErrorException

      `create, create`

    - ### Methods inherited from class org.springframework.web.client.HttpStatusCodeException

      `getStatusCode`

    - ### Methods inherited from class org.springframework.web.client.RestClientResponseException

      `getRawStatusCode, getResponseBodyAsByteArray, getResponseBodyAsString, getResponseBodyAsString, getResponseHeaders, getStatusText`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`